### Struct

# Gdk ToplevelLayout

#### Description [src]

    struct GdkToplevelLayout {
      /* No available fields */
    }

Contains information that is necessary to present a sovereign window on screen.

The `GdkToplevelLayout` struct is necessary for using `gdk_toplevel_present()`.

Toplevel surfaces are sovereign windows that can be presented to the user in various states (maximized, on all workspaces, etc).

#### Constructors

###### gdk_toplevel_layout_new

Create a toplevel layout description.

#### Instance methods

###### gdk_toplevel_layout_copy

Create a new `GdkToplevelLayout` and copy the contents of `layout` into it.

###### gdk_toplevel_layout_equal

Check whether `layout` and `other` has identical layout properties.

###### gdk_toplevel_layout_get_fullscreen

If the layout specifies whether to the toplevel should go fullscreen, the value pointed to by `fullscreen` is set to true if it should go fullscreen, or false, if it should go unfullscreen.

###### gdk_toplevel_layout_get_fullscreen_monitor

Returns the monitor that the layout is fullscreening the surface on.

###### gdk_toplevel_layout_get_maximized

If the layout specifies whether to the toplevel should go maximized, the value pointed to by `maximized` is set to true if it should go maximized, or false, if it should go unmaximized.

###### gdk_toplevel_layout_get_resizable

Returns whether the layout should allow the user to resize the surface.

###### gdk_toplevel_layout_ref

Increases the reference count of `layout`.

###### gdk_toplevel_layout_set_fullscreen

Sets whether the layout should cause the surface to be fullscreen when presented.

###### gdk_toplevel_layout_set_maximized

Sets whether the layout should cause the surface to be maximized when presented.

###### gdk_toplevel_layout_set_resizable

Sets whether the layout should allow the user to resize the surface after it has been presented.

###### gdk_toplevel_layout_unref

Decreases the reference count of `layout`.